# Lấy danh sách người quan tâm của OA

## HTTP Request

**URL:** `https://zns.api.gobysend.com/api/follower/list`\
**Method:** POST\
**Content Type:** application/json\
**Response Type:** application/json

**Example request**

```javascript
curl
-X GET
-H "Content-Type: application/json" 
"https://zns.api.gobysend.com/api/follower/list?tag_name=example&page=1&size=10    "
```

**Tham số header**

| **Tham số**                                  | **Kiểu dữ liệu** | **Tính bắt buộc** | **Mô tả**                                                                                                        |
| -------------------------------------------- | ---------------- | ----------------- | ---------------------------------------------------------------------------------------------------------------- |
| [access\_token](/xac-thuc-va-uy-quyen-oa.md) | string           | yes               | Đoạn mã cần truyền vào để xác minh quyền sử dụng API. Xem thêm [tài liệu tham khảo](/xac-thuc-va-uy-quyen-oa.md) |

**Tham số**

| **Tham số** | **Kiểu dữ liệu** | **Tính bắt buộc** | **Mô tả**                                                          |
| ----------- | ---------------- | ----------------- | ------------------------------------------------------------------ |
| tag\_name   | string           | no                | Lọc khách hàng theo thẻ đã gắn trên Zalo.                          |
| page        | integer          | no                | Sử dụng để phân trang. Giá trị mặc định là 1.                      |
| size        | integer          | no                | Sử dụng để lấy số lượng bản ghi mỗi trang. Giá trị mặc định là 10. |

**Example respond**

```json
{
  "data": [
    {
      "user_id": "2512523625412515"
    },
    ...
  ],
  "error": 0,
  "message": "string",
  "metadata": {
    "page": 0,
    "size": 0,
    "total": 0
  }
}
```

**Cấu trúc thuộc tính data**

| **Thuộc tính** | **Kiểu dữ liệu** | **Mô tả**                                                                |
| -------------- | ---------------- | ------------------------------------------------------------------------ |
| error          | int              | Mã lỗi trả về. Tham khảo Phụ lục [bảng mã lỗi](/phu-luc/bang-ma-loi.md). |
| message        | string           | Nội dung lỗi trả về nếu có.                                              |
| metadata       | JSON object      | Dữ liệu phân trang.                                                      |
| data           | JSON object      | Danh sách người quan tâm.                                                |

**Cấu trúc metadata**

| **Thuộc tính** | **Kiểu dữ liệu** | **Mô tả**                                      |
| -------------- | ---------------- | ---------------------------------------------- |
| total          | int              | Tổng số lượng người quan tâm của OA.           |
| page           | int              | Trang hiện tại.                                |
| size           | int              | Số lượng người quan tâm sẽ lấy trên mỗi trang. |

**Cấu trúc thuộc tính data**

| **Thuộc tính** | **Kiểu dữ liệu** | **Mô tả**                   |
| -------------- | ---------------- | --------------------------- |
| user\_id       | string           | Zalo ID của người quan tâm. |

## English version:

### HTTP Request

**URL:** `https://zns.api.gobysend.com/api/follower/list`\
**Method:** POST\
**Content Type:** application/json\
**Response Type:** application/json

### **Example request**

```
curl
-X GET
-H "Content-Type: application/json" 
"https://zns.api.gobysend.com/api/follower/list?tag_name=example&page=1&size=10    "
```

### **Header param**

<table><thead><tr><th width="171"></th><th width="150"></th><th width="162.48959778085992"></th><th></th></tr></thead><tbody><tr><td><strong>Param</strong></td><td><strong>Data type</strong></td><td><strong>Compulsory</strong></td><td><strong>Description</strong></td></tr><tr><td><a href="/pages/9iVAcPUIKTWFgrUbt9ZZ">access_token</a></td><td>string</td><td>yes</td><td>The code that needs to be passed in to verify the permission to use the API.<br><a href="/pages/9iVAcPUIKTWFgrUbt9ZZ">Reference document</a></td></tr></tbody></table>

### Param

<table><thead><tr><th width="172.93682653345536"></th><th width="155.1665093879145"></th><th width="161.72442019099591"></th><th></th></tr></thead><tbody><tr><td><strong>Param</strong></td><td><strong>Data type</strong></td><td><strong>Compulsory</strong></td><td><strong>Description</strong></td></tr><tr><td>tag_name</td><td>string</td><td>no</td><td>Filter customers by tag on Zalo.</td></tr><tr><td>page</td><td>integer</td><td>no</td><td>Pagination. The default value is 1.</td></tr><tr><td>size</td><td>integer</td><td>no</td><td>Get the number of records per page. The default value is 10.</td></tr></tbody></table>

### **Example respond**

```
{
  "data": [
    {
      "user_id": "2512523625412515"
    },
    ...
  ],
  "error": 0,
  "message": "string",
  "metadata": {
    "page": 0,
    "size": 0,
    "total": 0
  }
}
```

### Dat**a** attribute structure

|               |               |                                                                                                      |
| ------------- | ------------- | ---------------------------------------------------------------------------------------------------- |
| **Attribute** | **Data type** | **Description**                                                                                      |
| error         | int           | <p>Returned error code<br><a href="/pages/p1TQKt1kpLm3tmB5VCjT">See more at Error code table</a></p> |
| message       | string        | Returned error content                                                                               |
| metadata      | JSON object   | Paging data                                                                                          |
| data          | JSON object   | Followers list                                                                                       |

### Metadata structure

|               |               |                                            |
| ------------- | ------------- | ------------------------------------------ |
| **Attribute** | **Data type** | **Description**                            |
| total         | int           | Total OA followers                         |
| page          | int           | Current page                               |
| size          | int           | Number of followers will be taken per page |

### Dat**a** attribute structure

|               |               |                     |
| ------------- | ------------- | ------------------- |
| **Attribute** | **Data type** | **Description**     |
| user\_id      | string        | Followers's Zalo ID |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers-zns.goby.vn/zalo-follower-api/lay-danh-sach-nguoi-quan-tam-cua-oa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
